新葡亰平台游戏网址出现需要安装指定版本之上的包入下

CentOS6.8下安装xz命令,centos6.8xz命令

CentOS6.8下安装xz命令
我们有时候会下载到.xz结尾的压缩文件,这时候需要用到xz命令来解压这类文件,而当我们想要用yum
-y install
xz时,又没有关于xz的安装包,因此就找到一个xz的编译安装包进行编译安装。
例如我在安装ffmpeg时,出现需要安装指定版本之上的包入下:

需要nasm至少是2.13版本,于是乎我就用的yum方式安装但是没有这个版本,只有2.0.7版本,然后我需要下载
指定版本的如图:

但是xz命令不能用所以只能安装相应的工具如下:

xz下载地址:

[root@localhost opt]# tar -zxvf xz-5.2.3.tar.gz
[root@localhost opt]# cd xz-5.2.3
[root@localhost xz-5.2.3]# ./configure --prefix=/opt/gnu/xz      #指定安装目录
[root@localhost xz-5.2.3]# make && make install    #编译并安装
[root@localhost xz-5.2.3]# ln -s /opt/gnu/xz/bin/xz /usr/local/bin/xz     #建立软链接

这是就可以用xz命令解压.xz结尾的安装包了
到此安装完成。

centos解压.tar.xz 文件的方法
需要进行两步操作:

此时该目录下会产生一个node.tar 文件

2.执行解压操作

tar -xvf node.tar

You may also like...

发表评论

电子邮件地址不会被公开。 必填项已用*标注

网站地图xml地图